org.eclipse.e4.ui.model.application.ui.menu

## Interface MMenu

All Superinterfaces:
  MApplicationElement, MElementContainer<MMenuElement>, MLocalizable, MMenuElement, MUIElement, MUILabel

All Known Subinterfaces:
  MPopupMenu

    public interface MMenu
    extends MMenuElement, MElementContainer<MMenuElement>

A representation of the model object 'Menu'.

This is a concrete class used to represent a menu in the UI Model.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Enabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isEnabled()` Returns the value of the 'Enabled' attribute.
`void` `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MMenuElement

`getLocalizedMnemonics, getMnemonics, setMnemonics`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Method Detail

#### isEnabled

    boolean isEnabled()

Returns the value of the 'Enabled' attribute. The default value is `"true"`.

This field determines whether the associated menu is enabled or not.

Returns:
  the value of the 'Enabled' attribute.
See Also:
  `setEnabled(boolean)`

#### setEnabled

    void setEnabled(boolean value)

Sets the value of the '`Enabled`' attribute.

Parameters:
  `value` - the new value of the 'Enabled' attribute.
See Also:
  `isEnabled()`